com.holonplatform.datastore.jpa.context

## Interface JpaOperationContext

- All Superinterfaces:
    com.holonplatform.core.datastore.DatastoreCommodityHandler, EntityManagerHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, JpaContext
  All Known Subinterfaces:
    JpaDatastoreCommodityContext
  All Known Implementing Classes:
    DefaultJpaDatastore

      public interface JpaOperationContext
      extends JpaContext, EntityManagerHandler, com.holonplatform.core.datastore.DatastoreCommodityHandler

  JPA datastore operations execution context.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.core.beans.BeanIntrospector` | `getBeanIntrospector()` Get the `BeanIntrospector` to use to introspect entity beans.
    `boolean` | `isAutoFlush()` Checks whether to auto-flush mode is enabled.

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.context.JpaContext

      `getDialect, getEntityManagerFactory, getORMPlatform, getValueDeserializer, getValueSerializer, trace, traceOperation`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.context.EntityManagerHandler

      `withEntityManager, withEntityManager`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

- - ### Method Detail

    - #### getBeanIntrospector

          com.holonplatform.core.beans.BeanIntrospector getBeanIntrospector()

      Get the `BeanIntrospector` to use to introspect entity beans.
      Returns:
        BeanIntrospector (not null)

    - #### isAutoFlush

          boolean isAutoFlush()

      Checks whether to auto-flush mode is enabled. When auto-flush mode is enabled, `EntityManager.flush()` is called after each Datastore data manipulation operation, such as `save` or `delete`.
      Returns:
        `true` if auto-flush mode is enabled, `false` otherwise

Copyright © 2019 The Holon Platform. All rights reserved.